[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# FindRootDesigner

Gets the designer object for the specified persistent object (or its parent).

## Declaration

Source position: forms.pp line 1974

`function FindRootDesigner(`
`APersistent: TPersistent`
`):TIDesigner;`

## Arguments

`APersistent` |  | Persistent object examined for a designer instance in the routine.

## Function result

TIDesigner instance for the object, or Nil when a parent form is not found.

## Description

FindRootDesigner is a TIDesigner function used to get the root designer object for the specified persistent object instance. The TIDesigner instance is found on the Form where the object (or its parent) is hosted in the Lazarus IDE. The return value is Nil when a parent form for APersistent is not found.